import fetch from '@/utils/fetch'

let holoBaseUrl = '/holo'
// 路口停止线获取
// export const getLinesByCross = (params) => fetch(api_config.CROSS_STOP_LINE, params, 'POST', {})

// 根据不同场景请求左侧cameraList
export const getCameraListByType = (data) => fetch(`${holoBaseUrl}/event-camera/list`, data, 'GET')

// 群组页面各个路口行人数量多少
export const getPasserbyPolygon = () => fetch(`${holoBaseUrl}/pedestrian-monitor/list`, {}, 'GET')

// 目标轨迹
export const getTargetTracks = () => fetch(`${holoBaseUrl}/event-analysis/queryByType`, {}, 'GET')

// 交通信号
export const trafficSignals = () => fetch(`${holoBaseUrl}/analysis-cross-indicators/query`, {crossId: '14Q1409IRF0'}, 'GET')

// 顶部轮询5指标
export const getOverDatas = () => fetch(`${holoBaseUrl}/area-index-analysis/realtime`, {}, 'GET')

// 相位空放页面获取polygons
export const getPhasePolygons = () => fetch(`${holoBaseUrl}/phase-empty/list`, {}, 'GET')

// 群组 轨迹冲突
export const getConflict = () => fetch(`${holoBaseUrl}/bs-analysis-conflict/list`, {}, 'GET')
